List phone numbers
curl --request GET \
--url https://sandbox.voice.miraiminds.co/v2/phone-numbers \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/phone-numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/phone-numbers';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"id": "phn_01K9Q3A7C2E4G6J8M0P2R4T6V8",
"connection_id": "tcn_01K9Q2W5D8F3H6J9KMNPQRSTVW",
"provider": "plivo",
"ownership": "customer",
"number": "+918048123456",
"agent_id": "agt_01K2M4P7QRSTVWXYZ0A1B2C3",
"state": "ready",
"connection_state": "verified",
"version": 3,
"webhook_url": "",
"created_at": "2026-10-09T07:02:11.903215Z",
"health": {
"state": "active",
"resting_until": null,
"cooling_until": null,
"retired_at": null,
"warming": null,
"attempts_this_hour": 12,
"attempts_today": 24,
"answers_today": 17,
"answer_rate_7d": 0.6955,
"series_7d": [
{
"day": "2026-10-09",
"attempts": 52,
"answers": 31
},
{
"day": "2026-10-10",
"attempts": 60,
"answers": 39
},
{
"day": "2026-10-11",
"attempts": 0,
"answers": 0
},
{
"day": "2026-10-12",
"attempts": 58,
"answers": 41
},
{
"day": "2026-10-13",
"attempts": 61,
"answers": 40
},
{
"day": "2026-10-14",
"attempts": 59,
"answers": 43
},
{
"day": "2026-10-15",
"attempts": 24,
"answers": 17
}
],
"rests_today": 0
},
"pools": [
{
"id": "ppl_01K9V2C4E6G8J0M2P4R6T8W0Y2",
"name": "Outreach"
}
]
},
{
"id": "phn_01K9R1B3D5F7H9K2M4P6R8T0W2",
"connection_id": "tcn_01K9P7XG3M5N8Q1R4T6V9W2Y4Z",
"provider": "plivo",
"ownership": "managed",
"number": "+912248901234",
"agent_id": "agt_01K2M4P7QRSTVWXYZ0A1B2C3",
"state": "ready",
"connection_state": "verified",
"version": 3,
"webhook_url": "",
"created_at": "2026-10-09T06:12:44.120537Z",
"health": {
"state": "warming",
"resting_until": null,
"cooling_until": null,
"retired_at": null,
"warming": {
"done": 3,
"of": 7
},
"attempts_this_hour": 12,
"attempts_today": 24,
"answers_today": 17,
"answer_rate_7d": 0.6955,
"series_7d": [
{
"day": "2026-10-09",
"attempts": 52,
"answers": 31
},
{
"day": "2026-10-10",
"attempts": 60,
"answers": 39
},
{
"day": "2026-10-11",
"attempts": 0,
"answers": 0
},
{
"day": "2026-10-12",
"attempts": 58,
"answers": 41
},
{
"day": "2026-10-13",
"attempts": 61,
"answers": 40
},
{
"day": "2026-10-14",
"attempts": 59,
"answers": 43
},
{
"day": "2026-10-15",
"attempts": 24,
"answers": 17
}
],
"rests_today": 0
},
"pools": []
}
],
"has_more": false,
"next_cursor": null
}Phone numbers
List phone numbers
Every number in the workspace, rented and imported, with the agent each one is assigned to. Up to 100 per page; pass next_cursor back as cursor while has_more is true.
GET
/
v2
/
phone-numbers
List phone numbers
curl --request GET \
--url https://sandbox.voice.miraiminds.co/v2/phone-numbers \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.voice.miraiminds.co/v2/phone-numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const url = 'https://sandbox.voice.miraiminds.co/v2/phone-numbers';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"data": [
{
"id": "phn_01K9Q3A7C2E4G6J8M0P2R4T6V8",
"connection_id": "tcn_01K9Q2W5D8F3H6J9KMNPQRSTVW",
"provider": "plivo",
"ownership": "customer",
"number": "+918048123456",
"agent_id": "agt_01K2M4P7QRSTVWXYZ0A1B2C3",
"state": "ready",
"connection_state": "verified",
"version": 3,
"webhook_url": "",
"created_at": "2026-10-09T07:02:11.903215Z",
"health": {
"state": "active",
"resting_until": null,
"cooling_until": null,
"retired_at": null,
"warming": null,
"attempts_this_hour": 12,
"attempts_today": 24,
"answers_today": 17,
"answer_rate_7d": 0.6955,
"series_7d": [
{
"day": "2026-10-09",
"attempts": 52,
"answers": 31
},
{
"day": "2026-10-10",
"attempts": 60,
"answers": 39
},
{
"day": "2026-10-11",
"attempts": 0,
"answers": 0
},
{
"day": "2026-10-12",
"attempts": 58,
"answers": 41
},
{
"day": "2026-10-13",
"attempts": 61,
"answers": 40
},
{
"day": "2026-10-14",
"attempts": 59,
"answers": 43
},
{
"day": "2026-10-15",
"attempts": 24,
"answers": 17
}
],
"rests_today": 0
},
"pools": [
{
"id": "ppl_01K9V2C4E6G8J0M2P4R6T8W0Y2",
"name": "Outreach"
}
]
},
{
"id": "phn_01K9R1B3D5F7H9K2M4P6R8T0W2",
"connection_id": "tcn_01K9P7XG3M5N8Q1R4T6V9W2Y4Z",
"provider": "plivo",
"ownership": "managed",
"number": "+912248901234",
"agent_id": "agt_01K2M4P7QRSTVWXYZ0A1B2C3",
"state": "ready",
"connection_state": "verified",
"version": 3,
"webhook_url": "",
"created_at": "2026-10-09T06:12:44.120537Z",
"health": {
"state": "warming",
"resting_until": null,
"cooling_until": null,
"retired_at": null,
"warming": {
"done": 3,
"of": 7
},
"attempts_this_hour": 12,
"attempts_today": 24,
"answers_today": 17,
"answer_rate_7d": 0.6955,
"series_7d": [
{
"day": "2026-10-09",
"attempts": 52,
"answers": 31
},
{
"day": "2026-10-10",
"attempts": 60,
"answers": 39
},
{
"day": "2026-10-11",
"attempts": 0,
"answers": 0
},
{
"day": "2026-10-12",
"attempts": 58,
"answers": 41
},
{
"day": "2026-10-13",
"attempts": 61,
"answers": 40
},
{
"day": "2026-10-14",
"attempts": 59,
"answers": 43
},
{
"day": "2026-10-15",
"attempts": 24,
"answers": 17
}
],
"rests_today": 0
},
"pools": []
}
],
"has_more": false,
"next_cursor": null
}⌘I